Creates a new unavailability

Request Information

URI Parameters :

None.

Body Parameters :

user_unavailability
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
date_start

Date+Time of the beginning

date

Required

date_end

Date+Time of the end

date

Required

modified_dateutc

Date+Time of the modified

date

Required

description

Description of the unavailability

string

Max length: 255

is_approved

Indicate if this object has been approved using a User Week Approval

boolean
user_id

User owner of this unavailability

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_unavailability

user

Optionally required : user_id, user_code or user must be provided

user_unavailability_type_id

Type of the unavailability, cf model user_unavailability_type

globally unique identifier

Required

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type_code

Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability

string

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

user_unavailability_type

Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability

user_unavailability_type

Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided

Request Formats :

application/json, text/json

Sample:
{
  "id": "cc453c2e-c48d-484b-a0b6-341654768c1b",
  "date_start": "2026-11-13T16:01:49.5750865+00:00",
  "date_end": "2026-11-13T16:01:49.5750865+00:00",
  "modified_dateutc": "2026-11-13T16:01:49.5750865+00:00",
  "description": "sample string 5",
  "is_approved": true,
  "user_id": "a6784ce7-9f38-43ea-a983-9a7c7d390867",
  "user_code": "sample string 8",
  "user": {
    "id": "ba83c7f2-a81a-480a-9c67-7568cc34ab7d",
    "db_language_id": "ea71e3a2-1e27-4eb9-a0e0-b285bd2deb6a",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-13T16:01:49.5750865+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "b1dc9b28-3085-4da1-9a43-fba71b06ba53",
    "sales_organization": {
      "id": "0687797e-3bba-403f-b13e-2bdb8d2a4402",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "70accbb3-7afa-4e08-a444-8aff8b035496",
      "db_currency_id": "a1280f61-5c32-4b08-92b2-1af6f6c52a3a",
      "db_language_id": "fc25f307-a479-457d-a6a6-a5428a6d6510",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-13T16:01:49.5750865+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "f53d80ef-e411-4636-b74c-b9c19ba1302c",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "cb220808-cab9-459e-b079-142f4a262509",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-13T16:01:49.5750865+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "a914b999-b399-4584-8178-8ca7a7a671ec"
  },
  "user_unavailability_type_id": "c13ad3ae-34cb-45c6-bf51-2ca42bc12005",
  "user_unavailability_type_code": "sample string 10",
  "user_unavailability_type": {
    "id": "33639457-5de7-4a77-b19d-942a47e43ab4",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "sales_organization_id": "bf583b09-b361-42e3-ae9d-05e423748bd7",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "0687797e-3bba-403f-b13e-2bdb8d2a4402",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "70accbb3-7afa-4e08-a444-8aff8b035496",
      "db_currency_id": "a1280f61-5c32-4b08-92b2-1af6f6c52a3a",
      "db_language_id": "fc25f307-a479-457d-a6a6-a5428a6d6510",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-13T16:01:49.5750865+00:00"
    },
    "modified_dateutc": "2026-11-13T16:01:49.5750865+00:00"
  }
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.